# klinikatlas
Die API des Bundes-Klinik-Atlas stellt eine Vielzahl von Informationen über deutsche Kliniken und deren Ausstattung bereit.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://bundes-klinik-atlas.de](https://bundes-klinik-atlas.de)

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[klinikatlas]
```

### poetry install

```sh
poetry add deutschland -E klinikatlas
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import klinikatlas
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import klinikatlas
from pprint import pprint
from deutschland.klinikatlas.api import default_api
from deutschland.klinikatlas.model.fileadmin_json_german_places_json_get200_response_inner import FileadminJsonGermanPlacesJsonGet200ResponseInner
from deutschland.klinikatlas.model.fileadmin_json_german_states_json_get200_response_inner import FileadminJsonGermanStatesJsonGet200ResponseInner
from deutschland.klinikatlas.model.fileadmin_json_icd_codes_json_get200_response_inner import FileadminJsonIcdCodesJsonGet200ResponseInner
from deutschland.klinikatlas.model.fileadmin_json_locations_json_get200_response_inner import FileadminJsonLocationsJsonGet200ResponseInner
from deutschland.klinikatlas.model.fileadmin_json_ops_codes_json_get200_response_inner import FileadminJsonOpsCodesJsonGet200ResponseInner
from deutschland.klinikatlas.model.fileadmin_json_states_json_get200_response_inner import FileadminJsonStatesJsonGet200ResponseInner
from deutschland.klinikatlas.model.searchresults_get200_response import SearchresultsGet200Response
# Defining the host is optional and defaults to https://bundes-klinik-atlas.de
# See configuration.py for a list of all supported configuration parameters.
configuration = klinikatlas.Configuration(
    host = "https://bundes-klinik-atlas.de"
)



# Enter a context with an instance of the API client
with klinikatlas.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)

    try:
        # Liste deutscher Orte abrufen
        api_response = api_instance.fileadmin_json_german_places_json_get()
        pprint(api_response)
    except klinikatlas.ApiException as e:
        print("Exception when calling DefaultApi->fileadmin_json_german_places_json_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://bundes-klinik-atlas.de*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**fileadmin_json_german_places_json_get**](docs/DefaultApi.md#fileadmin_json_german_places_json_get) | **GET** /fileadmin/json/german-places.json | Liste deutscher Orte abrufen
*DefaultApi* | [**fileadmin_json_german_states_json_get**](docs/DefaultApi.md#fileadmin_json_german_states_json_get) | **GET** /fileadmin/json/german-states.json | Liste deutscher Bundesländer mit Koordinaten abrufen
*DefaultApi* | [**fileadmin_json_icd_codes_json_get**](docs/DefaultApi.md#fileadmin_json_icd_codes_json_get) | **GET** /fileadmin/json/icd_codes.json | Liste der ICD-Codes abrufen
*DefaultApi* | [**fileadmin_json_locations_json_get**](docs/DefaultApi.md#fileadmin_json_locations_json_get) | **GET** /fileadmin/json/locations.json | Liste deutscher Kliniken abrufen
*DefaultApi* | [**fileadmin_json_ops_codes_json_get**](docs/DefaultApi.md#fileadmin_json_ops_codes_json_get) | **GET** /fileadmin/json/ops_codes.json | Liste der OPS-Codes abrufen
*DefaultApi* | [**fileadmin_json_states_json_get**](docs/DefaultApi.md#fileadmin_json_states_json_get) | **GET** /fileadmin/json/states.json | Liste deutscher Bundesländer abrufen
*DefaultApi* | [**krankenhaussuche_krankenhaus_id_get**](docs/DefaultApi.md#krankenhaussuche_krankenhaus_id_get) | **GET** /krankenhaussuche/krankenhaus/{id}/ | Details zu einem spezifischen Krankenhaus abrufen
*DefaultApi* | [**searchresults_get**](docs/DefaultApi.md#searchresults_get) | **GET** /searchresults/ | Suche nach Krankenhäusern basierend auf spezifischen Kriterien


## Documentation For Models

 - [FileadminJsonGermanPlacesJsonGet200ResponseInner](docs/FileadminJsonGermanPlacesJsonGet200ResponseInner.md)
 - [FileadminJsonGermanStatesJsonGet200ResponseInner](docs/FileadminJsonGermanStatesJsonGet200ResponseInner.md)
 - [FileadminJsonIcdCodesJsonGet200ResponseInner](docs/FileadminJsonIcdCodesJsonGet200ResponseInner.md)
 - [FileadminJsonLocationsJsonGet200ResponseInner](docs/FileadminJsonLocationsJsonGet200ResponseInner.md)
 - [FileadminJsonOpsCodesJsonGet200ResponseInner](docs/FileadminJsonOpsCodesJsonGet200ResponseInner.md)
 - [FileadminJsonStatesJsonGet200ResponseInner](docs/FileadminJsonStatesJsonGet200ResponseInner.md)
 - [SearchresultsGet200Response](docs/SearchresultsGet200Response.md)
 - [SearchresultsGet200ResponseFilters](docs/SearchresultsGet200ResponseFilters.md)
 - [SearchresultsGet200ResponseFiltersFieldsInner](docs/SearchresultsGet200ResponseFiltersFieldsInner.md)
 - [SearchresultsGet200ResponseFiltersFieldsInnerOptionsInner](docs/SearchresultsGet200ResponseFiltersFieldsInnerOptionsInner.md)
 - [SearchresultsGet200ResponseFiltersFieldsInnerSliderOptionsInner](docs/SearchresultsGet200ResponseFiltersFieldsInnerSliderOptionsInner.md)
 - [SearchresultsGet200ResponseMetaInfos](docs/SearchresultsGet200ResponseMetaInfos.md)
 - [SearchresultsGet200ResponseMetaInfosSearchArguments](docs/SearchresultsGet200ResponseMetaInfosSearchArguments.md)
 - [SearchresultsGet200ResponseResultsInner](docs/SearchresultsGet200ResponseResultsInner.md)
 - [SearchresultsGet200ResponseResultsInnerContent](docs/SearchresultsGet200ResponseResultsInnerContent.md)
 - [SearchresultsGet200ResponseResultsInnerContentItemsInner](docs/SearchresultsGet200ResponseResultsInnerContentItemsInner.md)
 - [SearchresultsGet200ResponseSortings](docs/SearchresultsGet200ResponseSortings.md)
 - [SearchresultsGet200ResponseSortingsFieldsInner](docs/SearchresultsGet200ResponseSortingsFieldsInner.md)
 - [SearchresultsGet200ResponseSortingsFieldsInnerOptionsInner](docs/SearchresultsGet200ResponseSortingsFieldsInnerOptionsInner.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

poststelle@bmg.bund.de


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in klinikatlas.apis and klinikatlas.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.klinikatlas.api.default_api import DefaultApi`
- `from deutschland.klinikatlas.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import klinikatlas
from deutschland.klinikatlas.apis import *
from deutschland.klinikatlas.models import *
```

